package com.edgec.browserbackend.common.utils;

import com.edgec.browserbackend.browser.domain.BindHistory;
import org.springframework.core.convert.converter.Converter;
import org.springframework.data.convert.WritingConverter;

@WritingConverter
public class BindHistoryToString implements Converter<BindHistory, String> {

    @Override
    public String convert(BindHistory bindHistory) {
        return  "{ shopName=" + new Character('"') + bindHistory.getShopName() + new Character('"') +
                ", ip=" + new Character('"') + bindHistory.getIp() + new Character('"') +
                ", platform=" + new Character('"') + bindHistory.getPlatform() + new Character('"') +
                ", unbindTime=" + new Character('"') + bindHistory.getUnbindTime() + new Character('"') +
                " }";
    }
}
